# $Revision: 1.32 $, $Date: 2012/01/18 14:01:59 $
%define		module	Crypto
Summary:	PyCrypto - The Python Cryptography Toolkit
Summary(pl.UTF-8):	Kryptograficzny przybornik dla języka Python
Name:		python-%{module}
Version:	2.5
Release:	1
# Mostly Public Domain apart from parts of HMAC.py and setup.py, which are Python
License:	Public Domain and Python
Group:		Development/Languages/Python
Source0:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-%{version}.tar.gz
# Source0-md5:	783e45d4a1a309e03ab378b00f97b291
URL:		http://www.dlitz.net/software/pycrypto/
BuildRequires:	python
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Don't want provides for python shared objects
%define		_noautoprovfiles	%{py_sitedir}/%{module}/.*/.*.so

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:
- hash functions: MD2, MD4, RIPEMD
- block encryption algorithms: AES, ARC2, Blowfish, CAST, DES,
  Triple-DES, IDEA, RC5
- stream encryption algorithms: ARC4, simple XOR
- public-key algorithms: RSA, DSA, ElGamal, qNEW
- protocols: All-or-nothing transforms, chaffing/winnowing
- miscellaneous: RFC1751 module for converting 128-key keys into a set
  of English words, primality testing
- some demo programs (currently all quite old and outdated)

%description -l pl.UTF-8
Ten przybornik jest zbiorem kryptograficznych algorytmów i protokołów
zaimplementowanych dla języka Python. Pakiet zawiera między innymi:
- funkcje haszujące: MD2, MD4, RIPEMD
- blokowe algorytmy szyfrujące: AES,ARC2, Blowfish, CAST, DES,
  Triple-DES, IDEA, RC5
- strumieniowe algorytmu szyfrujące: ARC4, zwykły XOR
- algorytmy z kluczem publicznym: RSA, DSA,ElGamal, qNEW
- protokoły: przekształcenia wszystko-albo-nic, chaffing/winnowing
- inne: RFC1751 moduł do konwersji kluczy 128 bitowych w zbiory słów
  angielskich, test liczb pierwszych
- programy demo (aktualnie odrobinę starych)

%prep
%setup -q -n pycrypto-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/Crypto/SelfTest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS COPYRIGHT ChangeLog README TODO Doc
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/Cipher
%dir %{py_sitedir}/%{module}/Hash
%dir %{py_sitedir}/%{module}/Protocol
%dir %{py_sitedir}/%{module}/PublicKey
%dir %{py_sitedir}/%{module}/Random
%dir %{py_sitedir}/%{module}/Random/Fortuna
%dir %{py_sitedir}/%{module}/Random/OSRNG
%dir %{py_sitedir}/%{module}/Signature
%dir %{py_sitedir}/%{module}/Util
%attr(755,root,root) %{py_sitedir}/%{module}/*/*.so
%{py_sitedir}/%{module}/*/*.py[co]
%{py_sitedir}/%{module}/*/*/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pycrypto-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Crypto.spec,v $
Revision 1.32  2012/01/18 14:01:59  caleb
- Up to 2.5

Revision 1.31  2010/11/05 11:38:37  caleb
- Up to 2.3
- Removed patch applied upstream

Revision 1.30  2010/10/29 07:54:56  hawk
- release 2

Revision 1.29  2010/07/17 19:56:08  glen
- pass CC

Revision 1.28  2010/07/17 18:52:44  glen
- optflags patch from fedora

Revision 1.27  2010/07/17 18:48:03  glen
- up to 2.1.0, new home, new maintainer, clarified license

Revision 1.26  2010/07/08 08:05:30  arekm
- release 8

Revision 1.25  2010/03/29 07:09:20  arekm
- release 7

Revision 1.24  2009/11/26 21:19:34  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.23  2008/12/06 12:33:44  arekm
- rel 6; silence deprecation warnings

Revision 1.22  2008/10/03 17:47:45  arekm
- release 5

Revision 1.21  2008/07/27 23:00:25  arekm
- release 4

Revision 1.20  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.18  2006/09/26 22:55:36  wrobell
- rel. 3 to rebuild with python 2.5 (final)

Revision 1.17  2006/08/28 12:08:20  wiget
- rel. 2 (rebuild with python 2.5)

Revision 1.16  2005/07/28 14:20:30  saq
- up to 2.0.1
- simplified files

Revision 1.15  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.14  2004/12/23 21:36:51  saq
- release 4 for rebuild with python 2.4

Revision 1.13  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.12  2004/08/31 15:54:10  darekr
- updated to 2.0

Revision 1.11  2004/08/19 10:48:40  undefine
- release 3

Revision 1.10  2004/08/18 02:30:03  matkor
- Version 1.9a6-2.

Revision 1.9  2004/07/28 08:03:15  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.8  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.7  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2004/05/12 12:07:24  troll
- updated to 1.9a6
- fixed Source0 URL

Revision 1.5  2003/12/01 23:16:44  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.4  2003/05/28 13:01:27  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/10 11:45:19  qboosh
- some pl fixes

Revision 1.1  2003/02/09 18:34:49  wrobell
- renamed from python-crypto.spec to python-Crypto.spec to reflect the name
  of package

Revision 1.2  2003/02/09 17:23:20  wrobell
- fixed pl summary
- adapterized (descriptions needs polishing, imho)

Revision 1.1  2003/02/09 16:25:24  matkor
- Inital spec.
